$fn = 100;


module cup(height, diameter) {
	difference() {
		cylinder(h = height, r = diameter / 2);
		
		translate([0, 0, 1]) {
			cylinder(h = height, r = diameter / 2 - 1);
		}
	}
}

difference() {
	cup(10, 20);
	
	translate([-10, 0, 1]) {
		cube([10, 2, 20]);
	}
}

translate([14, 0, 0]) {
	cup(20, 10);
}

translate([11, 9, 0]) {
	rotate([0, 0, 45]) {
		cup(10, 12, $fn = 5);
	}
}
